#include <iostream>
#include <sstream>
using namespace std;

int main()
{
	long long a, b, c;
	cin >> a >> b >> c;
	if (a > b)
	{
		if (a > c)
		{
			if (b > c)
			{
				cout << to_string(a) + to_string(b) + to_string(c);
			}
			else
			{
				cout << to_string(a) + to_string(c) + to_string(b);
			}
		}
		else
		{
			cout << to_string(c) + to_string(a) + to_string(b);
		}
	}
	else
	{
		if (b > c)
		{
			if (a >c)
			{
				cout << to_string(b) + to_string(a) + to_string(c);
			}
			else
			{
				cout << to_string(b) + to_string(c) + to_string(a);
			}
		}
		else
		{
			cout << to_string(c) + to_string(b) + to_string(a);
		}
	}

	


}